# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::GenericFilter< Type > Class Template Reference

Generic Filter auto-pointer. More...

Inheritance diagram for Hurricane::GenericFilter< Type >:
[legend]

## Public Member Functions
| GenericFilter (const Filter< Type > &filter)
| GenericFilter (const GenericFilter< Type > &genericFilter)
| GenericFilter (Filter< Type > *filter)
Public Member Functions inherited from Hurricane::Filter< Type >
GenericFilter< Type > | operator! () const

## Detailed Description

### template<class Type>
class Hurricane::GenericFilter< Type >

Generic Filter auto-pointer.

This class is an auto-pointer like wrapped around the raw filter. The database systematically returns filters wrapped inside GenericFilter.

Remarks
  The destruction of a GenericFilter triggers the destruction of the raw filter.

## Constructor & Destructor Documentation

## ◆ GenericFilter() [1/3]

template<class Type >

Hurricane::GenericFilter< Type >::GenericFilter | ( | const Filter< Type > & | filter | ) |
| inline

Constructor from a raw Filter.

Remarks
  This constructor build a copy of the raw filter. So the originating filter can be safely deleted.

## ◆ GenericFilter() [2/3]

template<class Type >

Hurricane::GenericFilter< Type >::GenericFilter | ( | const GenericFilter< Type > & | filter | ) |
| inline

Constructor from a raw Filter.

Remarks
  This constructor build a copy of the raw filter. So the originating filter can be safely deleted.

## ◆ GenericFilter() [3/3]

template<class Type >

Hurricane::GenericFilter< Type >::GenericFilter | ( | Filter< Type > * | filter | ) |
| inline

Constructor from a raw Filter.

Remarks
  This constructor do not build a copy of the raw filter. So the original raw filter must not be deleted. It's deletion will occurs with the one of the GenericFilter.

The documentation for this class was generated from the following files:

- Filter.h
- Filter.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved